TTemplateArgument
Keywords: uk.ac.ic.doc.automed.templates.wrapper.TTemplateArgument class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.templates.wrapper
Class TTemplateArgument

    java.lang.Object
      uk.ac.ic.doc.automed.templates.wrapper.TArgument
          uk.ac.ic.doc.automed.templates.wrapper.TTemplateArgument

    public class TTemplateArgument

extends TArgument

Field Summary
`protected java.lang.String` | `description`
`protected boolean` | `isReturn`
`protected uk.ac.ic.doc.automed.templates.wrapper.TType` | `myType`
`protected TStatementArgument` | `stmArg`

Fields inherited from class uk.ac.ic.doc.automed.templates.wrapper.TArgument
`position`

Constructor Summary
`protected` | `TTemplateArgument(int position, java.lang.String description, TStatementArgument stmArg)`
`protected` | `TTemplateArgument(int position, java.lang.String description, uk.ac.ic.doc.automed.templates.wrapper.TType type, boolean isReturn)`

Method Summary
`protected void` | `createCompositeArgument(CompositeTransformation trans)`
`protected void` | `createReturnArgument(TemplateArgumentSequence returnArgs)`
`protected java.lang.String` | `getDescription()`
`protected uk.ac.ic.doc.automed.templates.wrapper.TType` | `getType()`
`protected int` | `getTypeID()`
`protected int` | `getTypeInstance()`
`protected boolean` | `isConstraints()`
`protected boolean` | `isFunction()`
`protected boolean` | `isList()`
`protected boolean` | `isName()`
`protected boolean` | `isObject()`
`protected boolean` | `isOutput()`
`protected boolean` | `isSchema()`
`protected boolean` | `isString()`
`protected int` | `numberOfElements()`
`protected void` | `setType(uk.ac.ic.doc.automed.templates.wrapper.TType t)`
`protected void` | `setTypeInstance(int inst)`

Methods inherited from class uk.ac.ic.doc.automed.templates.wrapper.TArgument
`getPosition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### description

    protected java.lang.String description

### myType

    protected uk.ac.ic.doc.automed.templates.wrapper.TType myType

### isReturn

    protected boolean isReturn

### stmArg

    protected TStatementArgument stmArg

Constructor Detail

### TTemplateArgument

    protected TTemplateArgument(int position,
                                java.lang.String description,
                                uk.ac.ic.doc.automed.templates.wrapper.TType type,
                                boolean isReturn)
                         throws TemplateDefinitionException

Throws:
  `TemplateDefinitionException`

### TTemplateArgument

    protected TTemplateArgument(int position,
                                java.lang.String description,
                                TStatementArgument stmArg)
                         throws TemplateDefinitionException

Throws:
  `TemplateDefinitionException`

Method Detail

### getDescription

    protected java.lang.String getDescription()

### getType

    protected uk.ac.ic.doc.automed.templates.wrapper.TType getType()

  Specified by:
    `getType` in class `TArgument`

### getTypeID

    protected int getTypeID()

  Specified by:
    `getTypeID` in class `TArgument`

### isList

    protected boolean isList()

  Specified by:
    `isList` in class `TArgument`

### numberOfElements

    protected int numberOfElements()

  Specified by:
    `numberOfElements` in class `TArgument`

### isOutput

    protected boolean isOutput()

### isObject

    protected boolean isObject()

  Specified by:
    `isObject` in class `TArgument`

### isSchema

    protected boolean isSchema()

  Specified by:
    `isSchema` in class `TArgument`

### isFunction

    protected boolean isFunction()

  Specified by:
    `isFunction` in class `TArgument`

### isConstraints

    protected boolean isConstraints()

  Specified by:
    `isConstraints` in class `TArgument`

### isName

    protected boolean isName()

  Specified by:
    `isName` in class `TArgument`

### isString

    protected boolean isString()

  Specified by:
    `isString` in class `TArgument`

### createReturnArgument

    protected void createReturnArgument(TemplateArgumentSequence returnArgs)
                                 throws TemplateDefinitionException

  Throws:
    `TemplateDefinitionException`

### getTypeInstance

    protected int getTypeInstance()

  Specified by:
    `getTypeInstance` in class `TArgument`

### setTypeInstance

    protected void setTypeInstance(int inst)

  Specified by:
    `setTypeInstance` in class `TArgument`

### setType

    protected void setType(uk.ac.ic.doc.automed.templates.wrapper.TType t)

  Specified by:
    `setType` in class `TArgument`

### createCompositeArgument

    protected void createCompositeArgument(CompositeTransformation trans)
                                    throws TemplateDefinitionException

  Throws:
    `TemplateDefinitionException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD